## Class TWizardNavigationTemplate

Description

Implements interfaces:

- ITemplate

TWizardNavigationTemplate class.

TWizardNavigationTemplate is the base class for various navigation templates.

- since: 3.0
- version: $Id: TWizard.php 2427 2008-04-17 17:18:25Z tof $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TWizard.php (line 1946)

    TComponent
       |
       --TWizardNavigationTemplate

Direct descendents

Class | Description
--- | ---
TWizardStartNavigationTemplate | TWizardStartNavigationTemplate class.
TWizardFinishNavigationTemplate | TWizardFinishNavigationTemplate class.
TWizardStepNavigationTemplate | TWizardStepNavigationTemplate class.

Method Summary
TWizardNavigationTemplate __construct (TWizard $wizard)
void createNavigationButton (TWizardNavigationButtonStyle $buttonStyle, boolean $causesValidation, string $commandName)
TWizard getWizard ()
void instantiateIn (TControl $parent)
Methods
Constructor __construct (line 1954)

Constructor.

- access: public

TWizardNavigationTemplate __construct (TWizard $wizard)

- TWizard $wizard: the wizard owning this template

createNavigationButton (line 1985)

Creates a navigation button.

It creates a TButton, TLinkButton, or TImageButton, depending on the given parameters.

- access: protected
- throws: TInvalidDataValueException if the button type is not recognized

void createNavigationButton (TWizardNavigationButtonStyle $buttonStyle, boolean $causesValidation, string $commandName)

- TWizardNavigationButtonStyle $buttonStyle: button style
- boolean $causesValidation: whether the button should cause validation
- string $commandName: command name for the button's OnCommand event

getWizard (line 1962)

- return: the wizard owning this template
- access: public

TWizard getWizard ()
instantiateIn (line 1972)

Instantiates the template.

Derived classes should override this method.

- access: public

void instantiateIn (TControl $parent)

- TControl $parent: parent to hold the content within the template

Redefined in descendants as:

- TWizardStartNavigationTemplate::instantiateIn() : Instantiates the template.
- TWizardFinishNavigationTemplate::instantiateIn() : Instantiates the template.
- TWizardStepNavigationTemplate::instantiateIn() : Instantiates the template.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:49 -0400 by phpDocumentor 1.3.0RC4